#ifndef PERF07_DB_H
#define PERF07_DB_H
/*lint ++flb */

/* Raima Database Manager 11.0.0.1000 */

/*
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * EXAMPLE - perf07
 *
 * This is the DDL (SQL Database Definition Language) for a simple Bill of 
 * Materials database.  This version uses set relationships instead of 
 * indexing.
 */


/* database perf07_db record/key structure declarations */

struct item {
   char id_code[16];
   char description[58];
   double cost;
};

struct bill {
   double quantity;
   int32_t level;
};

/* record, field and set table entry definitions */

/* File Id Constants */

/* Record Name Constants */
#define ITEM 10000
#define BILL 10001

/* Field Name Constants */
#define ITEM_ID_CODE 0L
#define ITEM_DESCRIPTION 1L
#define ITEM_COST 2L
#define BILL_QUANTITY 1000L
#define BILL_LEVEL 1001L

/* Set Name Constants */
#define BOM 20000
#define WHERE_USED 20001

/* Field Sizes */
#define SIZEOF_ITEM_ID_CODE 16
#define SIZEOF_ITEM_DESCRIPTION 58
#define SIZEOF_ITEM_COST 8
#define SIZEOF_BILL_QUANTITY 8
#define SIZEOF_BILL_LEVEL 4

/*lint --flb */
#endif    /* PERF07_DB_H */
